Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface SourceDirectorySet

    org.gradle.api.file.FileCollection
      org.gradle.api.tasks.AntBuilderAware
          org.gradle.api.file.FileTree
              org.gradle.api.Buildable
                  org.gradle.api.tasks.util.PatternFilterable
                      org.gradle.api.file.SourceDirectorySet

All Superinterfaces:
  FileCollection, AntBuilderAware, PatternFilterable, Buildable, FileTree

    public interface SourceDirectorySet
    extends FileTree, PatternFilterable

A `SourceDirectorySet` represents a set of source files composed from a set of source directories, along with associated include and exclude patterns.

TODO - configure includes/excludes for individual source dirs, and sync up with CopySpec TODO - allow add FileTree

Method Summary
`PatternFilterable` | `getFilter()` Returns the filter used to select the source from the source directories.
`java.util.Set` | `getSrcDirs()` Returns the source directories which make up this set.
`SourceDirectorySet` | `setSrcDirs(java.lang.Iterable srcPaths)` Sets the source directories for this set.
`SourceDirectorySet` | `srcDir(java.lang.Object srcPath)` Adds the given source directory to this set.
`SourceDirectorySet` | `srcDirs(java.lang.Object srcPaths)` Adds the given source directories to this set.

Methods inherited from interface PatternFilterable
exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes

Methods inherited from interface FileTree
getAsFileTree, matching, matching, plus, visit, visit

Methods inherited from interface FileCollection
add, addToAntBuilder, addToAntBuilder, asType, contains, filter, filter, getAsFileTree, getAsPath, getFiles, getSingleFile, isEmpty, minus, plus, stopExecutionIfEmpty

Methods inherited from interface java.lang.Iterable
java.lang.Iterable#iterator()

Methods inherited from interface AntBuilderAware
addToAntBuilder

Methods inherited from interface Buildable
getBuildDependencies

Method Detail

### getFilter

    public PatternFilterable getFilter()

  Returns the filter used to select the source from the source directories. These filter patterns are applied after the include and exclude patterns of the source directory set itself. Generally, the filter patterns are used to select certain types of files, eg `*.java`.
  Returns:
    The filter patterns.

### getSrcDirs

    public java.util.Set getSrcDirs()

  Returns the source directories which make up this set.
  Returns:
    The source directories. Returns an empty set when this set contains no source directories.

### setSrcDirs

    public SourceDirectorySet setSrcDirs(java.lang.Iterable srcPaths)

  Sets the source directories for this set.
  Parameters:
    `srcPaths` - The source directories. These are evaluated as for Project.files
  Returns:
    this

### srcDir

    public SourceDirectorySet srcDir(java.lang.Object srcPath)

  Adds the given source directory to this set.
  Parameters:
    `srcPath` - The source directory. This is evaluated as for Project.file
  Returns:
    this

### srcDirs

    public SourceDirectorySet srcDirs(java.lang.Object srcPaths)

  Adds the given source directories to this set.
  Parameters:
    `srcPaths` - The source directories. These are evaluated as for Project.files
  Returns:
    this

Groovy Documentation